onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:stone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:stone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:stone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:andesite', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:andesite_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:andesite')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:diorite', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:diorite_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:diorite')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:granite', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:granite_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:granite')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:sandstone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:sandstone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:sandstone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:red_sandstone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:red_sandstone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:red_sandstone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:netherrack', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:netherrack_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:netherrack')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:basalt', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('kubejs:basalt_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:basalt')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:blackstone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('kubejs:blackstone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:blackstone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:end_stone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:end_stone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:end_stone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('create:limestone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:create_limestone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('create:limestone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('create:weathered_limestone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:create_weathered_limestone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('create:weathered_limestone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('create:dolomite', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:create_dolomite_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('create:dolomite')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('create:gabbro', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:create_gabbro_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('create:gabbro')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('create:scoria', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:create_scoria_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('create:scoria')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('create:dark_scoria', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:create_dark_scoria_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('create:dark_scoria')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:warped_nylium', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:netherrack_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:warped_nylium')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:crimson_nylium', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:netherrack_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:crimson_nylium')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:obsidian', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('kubejs:obsidian_shard', 1, [3,4])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:obsidian')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('minecraft:crying_obsidian', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('kubejs:obsidian_shard', 1, [3,4])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('minecraft:crying_obsidian')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('goety:cursed_stone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('kubejs:cursed_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('goety:cursed_stone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('goety:remnant_rock', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('kubejs:remnant_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('goety:remnant_rock')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('goety:dead_sandstone', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('kubejs:dead_sandstone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('goety:dead_sandstone')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('endergetic:poismoss', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:end_stone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('endergetic:poismoss')
		})
	})
})

onEvent('block.loot_tables', event => {
	event.addBlock('endergetic:poismoss_path', table => {
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:inverted",
				term: {
					condition: "minecraft:match_tool",
					predicate: {
						enchantments: [{
							enchantment: "minecraft:silk_touch",
							levels: 1
						}]
					}
				}
			})
			pool.addItem('natural-progression:end_stone_pebble', 1, [4,6])
		})
		table.addPool(pool => {
			pool.addCondition({
				condition: "minecraft:match_tool",
				predicate: {
					enchantments: [{
						enchantment: "minecraft:silk_touch",
						levels: 1
					}]
				}
			})
			pool.rolls = 1;
			pool.addItem('endergetic:poismoss_path')
		})
	})
})

onEvent('recipes', event => {
	event.remove({mod:'natural-progression', output:'#forge:cobblestone'})
	
	event.shapeless('minecraft:cobblestone', '8x natural-progression:stone_pebble')
	event.shapeless('create:andesite_cobblestone', '8x natural-progression:andesite_pebble')
	event.shapeless('create:diorite_cobblestone', '8x natural-progression:diorite_pebble')
	event.shapeless('create:granite_cobblestone', '8x natural-progression:granite_pebble')
	event.shapeless('create:limestone_cobblestone', '8x natural-progression:create_limestone_pebble')
	event.shapeless('create:weathered_limestone_cobblestone', '8x natural-progression:create_weathered_limestone_pebble')
	event.shapeless('create:dolomite_cobblestone', '8x natural-progression:create_dolomite_pebble')
	event.shapeless('create:gabbro_cobblestone', '8x natural-progression:create_gabbro_pebble')
	event.shapeless('create:scoria_cobblestone', '8x natural-progression:create_scoria_pebble')
	event.shapeless('create:dark_scoria_cobblestone', '8x natural-progression:create_dark_scoria_pebble')
	event.shapeless('natural-progression:cobbled_sandstone', '8x natural-progression:sandstone_pebble')
	event.shapeless('natural-progression:cobbled_red_sandstone', '8x natural-progression:red_sandstone_pebble')
	event.shapeless('natural-progression:cobbled_netherrack', '8x natural-progression:netherrack_pebble')
	event.shapeless('minecraft:basalt', '8x kubejs:basalt_pebble')
	event.shapeless('minecraft:blackstone', '8x kubejs:blackstone_pebble')
	event.shapeless('natural-progression:cobbled_end_stone', '8x natural-progression:end_stone_pebble')
	event.shapeless('goety:cursed_stone', '8x kubejs:cursed_pebble')
	event.shapeless('goety:remnant_rock', '8x kubejs:remnant_pebble')
	event.shapeless('goety:dead_sandstone', '8x kubejs:dead_sandstone_pebble')
	
	event.recipes.createCompacting('minecraft:obsidian', ['kubejs:obsidian_shard', 'kubejs:obsidian_shard', 'kubejs:obsidian_shard', 'kubejs:obsidian_shard']).superheated()
	
	event.shaped('minecraft:cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:stone_pebble'
	})
	event.shaped('create:granite_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:granite_pebble'
	})
	event.shaped('create:andesite_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:andesite_pebble'
	})
	event.shaped('create:diorite_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:diorite_pebble'
	})
	event.shaped('create:limestone_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:create_limestone_pebble'
	})
	event.shaped('create:limestone_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:create_limestone_pebble'
	})
	event.shaped('create:weathered_limestone_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:create_weathered_limestone_pebble'
	})
	event.shaped('create:dolomite_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:create_dolomite_pebble'
	})
	event.shaped('create:gabbro_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:create_gabbro_pebble'
	})
	event.shaped('create:scoria_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:create_scoria_pebble'
	})
	event.shaped('create:dark_scoria_cobblestone_slab', [
		'RR',
		'RR'
	], {
		R: 'natural-progression:create_dark_scoria_pebble'
	})
	event.shaped('minecraft:blackstone_slab', [
		'RR',
		'RR'
	], {
		R: 'kubejs:blackstone_pebble'
	})
	event.shaped('goety:cursed_stone_slab', [
		'RR',
		'RR'
	], {
		R: 'kubejs:cursed_pebble'
	})
	event.shaped('goety:remnant_rock_slab', [
		'RR',
		'RR'
	], {
		R: 'kubejs:remnant_pebble'
	})
	event.shaped('goety:dead_sandstone_slab', [
		'RR',
		'RR'
	], {
		R: 'kubejs:dead_sandstone_pebble'
	})
	
	event.shaped('minecraft:cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:stone_pebble'
	})
	event.shaped('create:granite_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:granite_pebble'
	})
	event.shaped('create:andesite_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:andesite_pebble'
	})
	event.shaped('create:diorite_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:diorite_pebble'
	})
	event.shaped('create:limestone_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:create_limestone_pebble'
	})
	event.shaped('create:limestone_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:create_limestone_pebble'
	})
	event.shaped('create:weathered_limestone_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:create_weathered_limestone_pebble'
	})
	event.shaped('create:dolomite_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:create_dolomite_pebble'
	})
	event.shaped('create:gabbro_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:create_gabbro_pebble'
	})
	event.shaped('create:scoria_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:create_scoria_pebble'
	})
	event.shaped('create:dark_scoria_cobblestone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'natural-progression:create_dark_scoria_pebble'
	})
	event.shaped('minecraft:blackstone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'kubejs:blackstone_pebble'
	})
	event.shaped('goety:cursed_stone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'kubejs:cursed_pebble'
	})
	event.shaped('goety:remnant_rock_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'kubejs:remnant_pebble'
	})
	event.shaped('goety:dead_sandstone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'kubejs:dead_sandstone_pebble'
	})
	
	event.shaped('minecraft:cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:stone_pebble'
	})
	event.shaped('create:granite_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:granite_pebble'
	})
	event.shaped('create:andesite_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:andesite_pebble'
	})
	event.shaped('create:diorite_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:diorite_pebble'
	})
	event.shaped('create:limestone_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:create_limestone_pebble'
	})
	event.shaped('create:limestone_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:create_limestone_pebble'
	})
	event.shaped('create:weathered_limestone_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:create_weathered_limestone_pebble'
	})
	event.shaped('create:dolomite_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:create_dolomite_pebble'
	})
	event.shaped('create:gabbro_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:create_gabbro_pebble'
	})
	event.shaped('create:scoria_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:create_scoria_pebble'
	})
	event.shaped('create:dark_scoria_cobblestone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'natural-progression:create_dark_scoria_pebble'
	})
	event.shaped('minecraft:blackstone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'kubejs:blackstone_pebble'
	})
	event.shaped('goety:cursed_stone_stairs', [
		'R  ',
		'RR ',
		'RRR'
	], {
		R: 'kubejs:cursed_pebble'
	})
	event.shaped('goety:remnant_rock_wall', [
		'RRR',
		'RRR'
	], {
		R: 'kubejs:remnant_pebble'
	})
	event.shaped('goety:dead_sandstone_wall', [
		'RRR',
		'RRR'
	], {
		R: 'kubejs:dead_sandstone_pebble'
	})
})

onEvent('recipes', event => {
	event.remove({id:'create:crushing/obsidian'})
	event.remove({type:'create:crushing', input:'#forge:stone'})
	event.remove({type:'create:crushing', input:'#forge:cobblestone'})
	event.remove({type:'create:milling', input:'#forge:stone'})
	event.remove({type:'create:milling', input:'#forge:cobblestone'})
	event.remove({id:'create:compacting/blaze_cake'})
	
	event.recipes.createCrushing('4x kubejs:obsidian_shard', 'minecraft:obsidian')
	event.recipes.createCrushing('4x kubejs:obsidian_shard', 'minecraft:crying_obsidian')
	event.recipes.createCrushing('create:powdered_obsidian', 'kubejs:obsidian_shard')
	
	event.recipes.createCrushing('8x natural-progression:stone_pebble', 'minecraft:stone')
	event.recipes.createCrushing('8x natural-progression:andesite_pebble', 'minecraft:andesite')
	event.recipes.createCrushing('8x natural-progression:granite_pebble', 'minecraft:granite')
	event.recipes.createCrushing('8x natural-progression:diorite_pebble', 'minecraft:diorite')
	event.recipes.createCrushing('8x natural-progression:sandstone_pebble', 'minecraft:sandstone')
	event.recipes.createCrushing('8x natural-progression:red_sandstone_pebble', 'minecraft:red_sandstone')
	event.recipes.createCrushing('8x natural-progression:netherrack_pebble', 'minecraft:netherrack')
	event.recipes.createCrushing('8x natural-progression:end_stone_pebble', 'minecraft:end_stone')
	event.recipes.createCrushing('8x natural-progression:create_limestone_pebble', 'create:limestone')
	event.recipes.createCrushing('8x natural-progression:create_weathered_limestone_pebble', 'create:weathered_limestone')
	event.recipes.createCrushing('8x natural-progression:create_dolomite_pebble', 'create:dolomite')
	event.recipes.createCrushing('8x natural-progression:create_gabbro_pebble', 'create:gabbro')
	event.recipes.createCrushing('8x natural-progression:create_scoria_pebble', 'create:scoria')
	event.recipes.createCrushing('8x natural-progression:create_dark_scoria_pebble', 'create:dark_scoria')
	event.recipes.createCrushing('8x kubejs:basalt_pebble', 'minecraft:basalt')
	event.recipes.createCrushing('8x kubejs:blackstone_pebble', 'minecraft:blackstone')
	event.recipes.createCrushing(['8x kubejs:blackstone_pebble', '2x minecraft:gold_nugget', Item.of('2x minecraft:gold_nugget').withChance(0.5)], 'minecraft:gilded_blackstone')
	event.recipes.createCrushing('8x kubejs:dead_sandstone_pebble', 'goety:dead_sandstone')
	event.recipes.createCrushing('8x kubejs:remnant_pebble', 'goety:remnant_rock')
	event.recipes.createCrushing('8x kubejs:cursed_pebble', 'goety:cursed_stone')
	
	event.recipes.createCrushing('minecraft:gravel', '#forge:cobblestone')
	
	event.recipes.createCrushing('create:cinder_flour', 'natural-progression:netherrack_pebble')
	
	event.recipes.createCompacting('create:blaze_cake_base', ['#forge:eggs', 'minecraft:sugar', '3x create:cinder_flour'])
})